import * as React from 'react';
import StepOne from "../pages/startPage/stepOne";
import Steptwo from "../pages/startPage/steptwo";
import StartPageSettings from "../pages/startPage/StartPageSettings";
import QuestionsPage from "../pages/Questions/QuestionsPage";
import ContactFormPage from "../pages/ContactFormPage/ContactFormPage";
import InstallQuiz from "../pages/InstallQuiz/InstallQuiz";
import {Result} from "../pages/Result/Result";
import {Setting} from "../pages/Result/Setting";

interface Props {
    activeStep: number,
    handleNext: () => void
}

export default function SwitchStepPages({activeStep = 1, handleNext }: Props) {

    switch (activeStep) {
        case 1:
            return (<StepOne handleNext={handleNext}/>);
        case 2:
            return (<Steptwo handleNext={handleNext}/>);
        case 3:
            return (<StartPageSettings handleNext={handleNext}/>);
        case 4:
            return (<QuestionsPage/>);
        case 5:
            return (<Result/>);
        case 6:
            return (<Setting/>);
        case 7:
            return (<ContactFormPage/>);
        case 8:
            return (<InstallQuiz/>);
        default:
            return (<></>)
    }
}